/* === Home page === */

.shape-box
	+pie-clearfix()
	margin-bottom: 63px

	> li
		float: left
		height: 188px
		+transition(all 0.4s ease-out)
		+backface-visibility(hidden)
		position: relative

		figure
			margin: 0

			> a
				position: relative
				display: block

				&:after
					content: ''
					width: 100%
					height: 100%
					position: absolute
					top: 0
					left: 0
					+background-image(linear-gradient(45deg, transparent 1px, rgba(255, 255, 255, 0.1) 1px, rgba(255, 255, 255, 0.1) 2px, transparent 2px, transparent), linear-gradient(45deg, transparent 1px, rgba(0,0,0, 0.4) 1px, rgba(0,0,0, 0.4) 2px, transparent 2px, transparent))
					+background-size( 2px 2px)

		a
			color: $white
			font-weight: 300
			text-transform: uppercase
			+transition(all 0.4s ease-out)

		> article
			padding: (21 / 2) * 1px
			+box-sizing(border-box)
			position: absolute
			top: 0
			bottom: 0
			width: 100%

			.article-header
				position: absolute
				top: 10.5px
				left: 0
				width: 100%

				> ul
					+pie-clearfix()
					position: relative
					padding-left: 28px
					display: table
					margin-left: auto
					margin-right: auto
					margin-bottom: (21 / 2) * 1px

					&:before
						content: ''
						width: 21px
						height: 21px
						display: block
						background: url(../img/shape_home_icons.png) -21px 0 no-repeat transparent
						position: absolute
						left: 0


					> li
						float: left
						margin-right: 4px
						color: $white

						&:after
							content: ','
							+opacity(0.5)

						&:last-child
							margin-right: 0

							&:after
								content: ''

						> a
							font-size: 12px
							+opacity(0.5)

							&:hover
								+opacity(0.8)

			.article-content
				overflow: hidden
				display: table
				height: 100%
				padding: 21px 0
				width: 100%


				> h4
					display: table-cell
					vertical-align: middle
					text-align: center
					+backface-visibility(hidden)
						

					&:hover
						+opacity(0.8)

			.article-footer
				position: absolute
				bottom: 10.5px
				left: 0
				width: 100%

				.calendar
					padding-left: 29px
					text-transform: uppercase
					color: $white
					font-family: $font
					font-size: 12px
					+opacity(0.5)
					display: table
					margin: 0 auto
					position: relative

					&:after
						content: ''
						width: 21px
						height: 21px
						display: block
						position: absolute
						top: 0
						left: 0
						background: url(../img/shape_home_icons.png) 0 0 no-repeat transparent


	.contol-panel
		width: 40%
		height: 376px
		background: $red
		position: relative
		overflow: hidden

.masonry-type
	> li
		margin-bottom: 21px
		min-height: 315px
		height: auto

	.picture
		min-height: 0

	.red:nth-child(2n), .greeen:nth-child(2n), .brown:nth-child(2n)
		min-height: 420px

.mosaic-type
	> li
		margin-bottom: 21px
		min-height: 220px
		height: auto

	.picture
		min-height: 0

	.red:nth-child(2n), .greeen:nth-child(2n), .brown:nth-child(2n)
		min-height: 461px

.mini-box
	width: 20%


.max-box
	width: 40%

.green
	background: $green !important

.red
	background: $red !important

.brown
	background: $brown !important

.darkbrown
	background: darken($brown, 13%) !important

.slider-shape
	overflow: hidden
	height: 376px
	position: relative

	> ul
		+pie-clearfix()
		+transition(all 0.4s ease-out)
		position: relative
		> li
			float: left
			+scale(0)
			+transition(all 0.4s ease-out)
			position: absolute
			top: 0
			left: 0

			> h2
				margin-top: 6em
				text-align: center
				line-height: 1.5em

		.active
			+scale(1)
			z-index: 100

.shape-control
	position: absolute
	bottom: 1.5em
	z-index: 1000
	width: 100%

	> ul
		+pie-clearfix()
		display: table
		margin: 0 auto

		> li
			float: left
			+squish-text()
			width: 7px
			height: 7px
			border-radius: 50%
			background: $white
			cursor: pointer
			margin: 0 7px
			+opacity(0.4)

		.active
			+opacity(1)

.switcher-control-panel
	position: absolute
	top: 0
	right: 0
	z-index: 2000

	> label
		margin: 0
		padding: 0
		display: block

		> input[type=checkbox]
			display: none

			&:checked

				+ b
					background: url(../img/panel_helper.png) -63px 0 $black

		> b
			width: 63px
			height: 63px
			display: block
			+squish-text()
			cursor: pointer
			background: url(../img/panel_helper.png) 0 0 $black
			+opacity(0.3)
			+transition(opacity 0.4s ease-out)
			+user-select(none)

			&:hover
				+opacity(0.6)

.filter-shape
	position: absolute
	top: 0
	left: 0
	z-index: 1010
	width: 100%
	height: 100%
	background: $red
	+box-sizing(border-box)
	+translate(0%, -100%)
	+transition(all 0.4s ease-out)

	h2
		color: $white
		font-weight: 300
		letter-spacing: 1px

.filter-shape-active
	+translate(0%, 0%)


.cat-shape
	padding: 4.5em 1.5em 0 1.5em

	ul
		+pie-clearfix()

		> li
			float: left
			width: 50%

			label
				display: block
				cursor: pointer

				input[type=checkbox]
					display: none

					&:checked
						+ b:after
							content: '\2713' !important

				b
					padding-left: 29px
					position: relative
					display: block
					margin: 0
					text-transform: uppercase
					+user-select(none)

					&:after
						content: ''
						width: 21px
						height: 21px
						display: block
						position: absolute
						top: 0
						left: 0
						background: darken($red, 5%)
						+box-shadow(0 0 0 1px darken($red, 8%))
						text-align: center
						color: $white

.filter-top
	background: $white
	padding: 10.5px 0
	text-align: center
	margin-bottom: 42px
	+box-shadow( 0 0 0 1px $darkgray)

	> ul
		+inline-block
		margin: 0 auto
		> li
			width: auto
			margin: 0 7px

			label b:after
				background: transparent
				+box-shadow( inset 0 0 0 1px $darkgray)
				color: $black

.sort-by-shape
	background: $dark-red
	height: 123px
	padding: 1.5em
	+box-sizing(border-box)

.sort-ui
	padding: 0 16.9%

	div
		+box-sizing(border-box)
		+user-select(none)
		display: block
		cursor: default
		position: relative
		background: lighten($red, 1%)
		width: 100%
		height: 15px

		a 
			position: absolute
			z-index: 1

			&:nth-child(2) 
				background: inherit !important

		div
			height: 15px
			width: 15px
			background: $white
			margin-top: 0px
			margin-left: -8px

.sort-steps
	
	> ul
		+pie-clearfix()

		> li
			float: left
			width: (100 / 3) * 1%
			padding-top: 0.75em

			label
				padding: 0
				margin: 0
				text-align: center
				cursor: pointer

				input[type=radio]
					display: none

					&:checked
						+ b
							color: $white

				b
					display: block
					width: 100%
					color: darken($dark-red, 20%)
					position: relative

					&:after
						content: ''
						width: 21px
						height: 21px
						display: block
						background:	darken($dark-red, 10%)
						position: absolute
						margin-left: -10.5px
						top: -29px
						left: 50%

.hide-item
	top: 0 !important
	left: 0 !important
	display: none

.partner-slider
	position: relative

.partner-nav
	position: absolute
	top: 21px
	right: 0
	+pie-clearfix()
	z-index: 100

	> li
		float: left
		margin: 0 1px

		> a
			width: 21px
			height: 21px
			display: block
			background: $black
			color: $white
			font-size: 1.5em
			line-height: 0.95em
			text-align: center

			&:hover
				background: lighten($black, 50%)

.slider-partner
	overflow: hidden

	> ul
		margin-bottom: 0
		+transition(all 0.4s ease-out)
		margin-left: 20px

		> li

			> a
				+opacity(0.6)

				&:hover
					+opacity(0.9)